package com.dcsoft.system.consume.domain;

import java.util.Date;

import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.dcsoft.common.core.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 人员餐补信息对象 consume_people_day
 *
 * @author dcsoft
 * @date 2024-09-20
 */
public class ConsumePeopleDay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    private String branchName;

    /** 工号 */
    @Excel(name = "工号")
    private String empId;

    /** 帐号 */

    private String accountId;
    @Excel(name = "帐号")
    private String accountName;

    /** 餐补时段（1早上2中餐3晚餐） */
    @Excel(name = "餐补时段", readConverterExp = "1=早上,2=中餐,3=晚餐")
    private String consumeInterval;

    /** 补贴类型（1正常，2加班） */
    @Excel(name = "补贴类型", readConverterExp = "1=正常,2=加班")
    private String type;

    /** 餐补时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "餐补时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date consumeTime;
    @Excel(name = "是否消费", readConverterExp = "0=未消费,1=已消费")
    private String isConsume;

    @Excel(name = "食堂")
    private String canteen;

    private String guid;

    private Long reportId;

    private String recordId;

    private String overtime;

    @Excel(name = "离开时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date leaveTime;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEmpId(String empId)
    {
        this.empId = empId;
    }

    public String getEmpId()
    {
        return empId;
    }
    public void setAccountId(String accountId)
    {
        this.accountId = accountId;
    }

    public String getAccountId()
    {
        return accountId;
    }
    public void setConsumeInterval(String consumeInterval)
    {
        this.consumeInterval = consumeInterval;
    }

    public String getConsumeInterval()
    {
        return consumeInterval;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setConsumeTime(Date consumeTime)
    {
        this.consumeTime = consumeTime;
    }

    public Date getConsumeTime()
    {
        return consumeTime;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getIsConsume() {
        return isConsume;
    }

    public void setIsConsume(String isConsume) {
        this.isConsume = isConsume;
    }

    public String getCanteen() {
        return canteen;
    }

    public void setCanteen(String canteen) {
        this.canteen = canteen;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public Date getLeaveTime() {
        return leaveTime;
    }

    public void setLeaveTime(Date leaveTime) {
        this.leaveTime = leaveTime;
    }

    public Long getReportId() {
        return reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getOvertime() {
        return overtime;
    }

    public void setOvertime(String overtime) {
        this.overtime = overtime;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("empId", getEmpId())
            .append("accountId", getAccountId())
            .append("consumeInterval", getConsumeInterval())
            .append("type", getType())
            .append("consumeTime", getConsumeTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
